/* PCS IPF Editor 2.11 Update Procedure */
'@echo off'
call RxFuncAdd 'SysLoadFuncs','RexxUtil','SysLoadFuncs'
call SysLoadFuncs
call SysCls
SAY 'PCS IPF Editor 2.11 Patch Procedure'
SAY 'Updates version 2.1 to 2.11'
SAY '(c) 1995-1996 Perez Computing Services.  All Rights Reserved.'

/* Verify this was started in the IPF Editor directory */
szCurrentDirectory = directory()
PARSE UPPER VAR szCurrentDirectory szCurrentDirectory
if SUBSTR( szCurrentDirectory, 2 ) <> ':\IPFEDIT' then
DO
    SAY 'You must start the IPFEPAT procedure from within the IPFEDIT directory'
    exit
END

SAY 'Patching IPF Editor Program and Preview functions'
IE2UPDAT.EXE PATCHIT
IF RC <> 0 THEN
DO
    SAY 'Error updating IPF Editor program file.  '
    SAY 'Patching process aborted.  Contact PCS technical support at '
    SAY 'pcs@ncia.com for assistance.'
    EXIT
END

call directory( szCurrentDirectory'\IMPORT' )

/* Patch IPFE_RTF.IMP in IMPORT directory */
SAY 'Patching RTF Import Filter'
'..\PATCHIT ..\PATCH\IE211RTF.PIT /Q'
IF RC <> 0 THEN
DO
    '..\PATCHIT ..\PATCH\RTF2_RTF.PIT /Q'
END
'DEL IPFE_RTF.PBK > NUL'

call directory( szCurrentDirectory )

SAY 'Cleaning up patch files...'
'DEL PATCH\*.PIT > NUL'
'DEL IE2UPDAT.EXE'

SAY 'Renaming obsolete BITMAP.DLL to BITMAP.PCS for archival purposes'
'REN BITMAP.DLL BITMAP.PCS > NUL'
SAY ' '
SAY 'Original files that were patched have been copied to files with the '
SAY 'extension .PBK.  If this patch does not work for you simply copy the '
SAY 'IPFEDIT.PBK to IPFEDIT.EXE.  Then copy IPFEPREV.PBK to IPFEPREV.DLL. '
SAY 'Finally, copy IMPORT\IPFE_RTF.PBK to IMPORT\IPFE_RTF.IMP.  Then copy '
SAY 'BITMAP.PCS to BITMAP.DLL.  This will revert your version to 2.10.'
SAY ' '
SAY 'Patching procedure complete.  See the README.211 for a list of updated'
SAY 'features/fixes.  If you have problems please contact PCS Technical '
SAY 'Support at "pcs@ncia.com".'
SAY ''
SAY 'Thank you for using the IPF Editor 2.11.'

